// Copyright (c) 2014 Manuel Weiel
// http://manuel.weiel.eu

function runWithString(argument)
{
	// This is no official api. This could stop working any time...
    var result = HTTP.getJSON('https://duckduckgo.com/ac/?callback=&_=&q=' + encodeURIComponent(argument), 3);

    if (result == undefined) {
        LaunchBar.log('HTTP.getJSON() returned undefined');
        return [];
    }
    if (result.error != undefined) {
        LaunchBar.log('Error in HTTP request: ' + result.error);
        return [];
    }
	
	LaunchBar.log(result.data[0].phrase);

    try {
        var suggestions = [];
		var i = 0;
        for (i = 0; i < result.data.length; i++) {
			var suggestion = result.data[i];
            suggestions.push({
                             'title' : suggestion.phrase,
                             'icon' : 'DuckDuckGo.png'
                             });
        }
        return suggestions;
    } catch (exception) {
        LaunchBar.log('Exception while parsing result: ' + exception);
        return [];
    }
}
